Memcached::prepend
Memcached::replace
Memcached
PHP Manual

# Memcached::prependByKey

(PECL memcached >= 0.1.0)

Memcached::prependByKey — Prepend data to an existing item on a specific server

### Description

public bool Memcached::prependByKey ( string `$server_key` , string `$key` , string `$value` )

Memcached::prependByKey() is functionally equivalent to Memcached::prepend, except that the free-form `server_key` can be used to map the `key` to a specific server.

### Parameters

`server_key`

  The key identifying the server to store the value on.

`key`

  The key of the item to prepend the data to.

`value`

  The string to prepend.

### Return Values

Returns `TRUE` on success or `FALSE` on failure. The Memcached::getResultCode will return `Memcached::RES_NOTSTORED` if the key does not exist.

### See Also

- Memcached::prepend - Prepend data to an existing item
- Memcached::append - Append data to an existing item

Memcached::prepend
Memcached::replace
Memcached
PHP Manual